// Custom JS for CT White

const searchScreen = document.querySelector('#search-screen'),
		searchField = document.querySelector('.search-field'),
		 searchBtn = document.querySelector('.search-btn'),
		 jumps	=	document.querySelectorAll('.hidden'),
		 toField = document.querySelectorAll('.jump-to-field'),
		 toIcon = document.querySelectorAll('.jump-to-icon')
		    	
if (undefined !== searchBtn && undefined !== searchScreen) {
	
	searchBtn.addEventListener('click', function(e) {
		
		this.classList.toggle( 'toggled' )
		let icon = this.querySelector('.dashicons')
		
		if ( this.classList.contains('toggled') ) {
			icon.classList.remove('dashicons-search')
			icon.classList.add('dashicons-no-alt')
			searchScreen.style.display = 'flex'
			document.querySelector('body').style.overflow = 'hidden'
			searchField.focus()
			jumps.forEach( ( elem ) => {
				elem.tabIndex = '0'
			})
			
		} else {
			
			icon.classList.remove('dashicons-no-alt')
			icon.classList.add('dashicons-search')
			searchScreen.style.display = 'none'
			document.querySelector('body').style.overflow = 'visible'
			searchBtn.focus()
			searchField.focus()
			jumps.forEach( ( elem ) => {
				elem.tabIndex = '-1'
			})
		}
	})
	
	toField.forEach( ( elem ) => {
		elem.onfocus = () => {
			searchField.focus()
		}
	})
	
	toIcon.forEach( ( elem ) => {
		elem.onfocus = () => {
			searchBtn.focus()
		}
	})
}

const navToTop	= document.getElementById('site-navigation').firstElementChild,
	navToLast	= document.getElementById('site-navigation').lastElementChild
	
	console.log(navToTop)
	console.log(navToLast)

const masonryFunction = () => {
	
	var elem = document.querySelector('.gally-masonry')
	
	if ( elem !== null ) {
	
		var msnry = new Masonry( elem, {
			itemSelector: 'article'
		})
	
	}

}

window.onload = () => {
	masonryFunction()
}

jQuery(document).ready(function() {
	
	var ajaxBtn	= jQuery('a.load-more'),
		page = 2
	
	ajaxBtn.on('click', function(e) {
		e.preventDefault();
		
		var data = {
			'action': 'gally_load_more',
			'page': page,
			'security': gally.security
		}
		
		jQuery.post( gally['ajaxurl'], data, function( response ) {
	 		
	 		if ( jQuery.trim( response ) !== '' ) { 
		 		
				jQuery('#primary').find('.articles-wrapper').append( response )
				masonryFunction()
				page++
				
			}
			else {
				ajaxBtn.hide();
			}
 		})
	})
})