<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package CT_White
 */

get_header();
?>	

	<main id="primary" class="site-main <?php echo gally_has_sidebar( 'blog' ) ? 'col-lg-8' : 'col-12'?>">
		<?php
		if ( have_posts() ) : ?>
			
			
			<div class="articles-wrapper <?php if ( gally_is_grid( get_theme_mod('gally_blog_layout', 'grid3' ) ) ) echo 'gally-masonry'; ?>">
				
			<?php
			if ( is_home() && ! is_front_page() ) :
				?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;

			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				gally_get_layout( get_theme_mod('gally_blog_layout', 'grid3') );

			endwhile;
			?>
			</div>
			
			<?php
			if ( get_theme_mod('gally_blog_pagination') == 'ajax' ) { ?>
				<div class="gally-load-more"><a href="#" class="load-more"><?php _e('Load More', 'gally') ?></a></div>
			<?php
			}
			else {
				the_posts_pagination( array(
					'class'	=>	'gally-pagination',
					'prev_text'	=> '<span class="dashicons dashicons-arrow-left-alt2"></span>',
					'next_text'	=> '<span class="dashicons dashicons-arrow-right-alt2"></span>'
				) );
			}

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>
		
	</main><!-- #main -->
	
	
<?php
if ( gally_has_sidebar( 'blog' ) == true ) {
get_sidebar();
}

get_footer();
